<div id="authenticating">
  <h1>Log in with BankID</h1>
  <form method="post" id="mainForm">
    <p class="error" id="error"></p>

    <fieldset>
      <legend>Your account</legend>
      <ol>
        <li>
          <label for="pno">Social security number</label>
          <input id="pno" type="text" name="pno" autofocus>
        </li>
      </ol>
    </fieldset>

    <p class="actions"><button type="submit" name="submit" onclick="awaitCollection();">Log in</button></p>
  </form>
  
  <div id="await-collection" style="display: none">
    <p>Start your BankID application to complete your login.</p>
  </div>
</div>
<div id="not-authenticating">
  <h1>Please log in through an app</h1>
  <p><strong>To log in and access documents, you need to use a Solid app.</strong></p>
</div>


<script>
  function awaitCollection() {
    document.getElementById("mainForm").style.display = "none";
    document.getElementById("await-collection").style.display = "block";
  }

  setVisibility('authenticating', <%= Boolean(authenticating) %>);
  setVisibility('not-authenticating', <%= !Boolean(authenticating) %>);

  addPostListener('mainForm', 'error', '', () => { throw new Error('Expected a location field in the response.') });
</script>
